#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gtk3+-bootstrap
Version		:	3.24.43
Release		:	17.2.0.rel%{?dist}
Summary		:	The GIMP ToolKit (GTK+), a library for creating GUIs for X
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/gtk+

Source0		:	gtk+-%{version}.tar.xz
Source1		:	gtk3+-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	at-spi2-atk-devel
BuildRequires	:	gobject-introspection

BuildRequires	:	gdk-pixbuf
BuildRequires	:	iso-codes
BuildRequires	:	libepoxy
BuildRequires	:	libXi
BuildRequires	:	libxkbcommon
BuildRequires	:	ninja
BuildRequires	:	meson
BuildRequires	:	pango
BuildRequires	:	python2-six
BuildRequires	:	wayland-protocols
BuildRequires	:	xrandr
BuildRequires	:	xorg-libXcomposite
BuildRequires	:	xorg-libXcursor
BuildRequires	:	xorg-libXdamage
BuildRequires	:	xorg-libXfixes
BuildRequires	:	xorg-libXinerama

BuildRequires	:	pkgconfig(cairo-gobject) >= 1.14.0

Requires	:	gdk-pixbuf

Provides	:	gtk3
Provides	:	gtk3+

#-----------------------------------------------------------------------------
%description
GTK+ is a multi-platform toolkit for creating graphical user
interfaces. Offering a complete set of widgets, GTK+ is suitable for
projects ranging from small one-off tools to complete application
suites.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README.md NEWS
%{_sysconfdir}/gtk-3.0/im-multipress.conf
%{_sysconfdir}/gtk-3.0/settings.ini
%{_includedir}/gtk-3.0/g{d,t}k/*
%{_includedir}/gtk-3.0/unix-print/*
%{_includedir}/gail-3.0/libgail-util/*
%{_bindir}/gtk*
%{_bindir}/broadwayd
%{_libdir}/gtk-3.0/*
%{_libdir}/libg{d,t}k-3.so*
%{_libdir}/libgailutil-3.so*
%{_libdir}/pkgconfig/gail-3.0.pc
%{_libdir}/pkgconfig/gdk*-3.0.pc
%{_libdir}/pkgconfig/gtk+*-3.0.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/aclocal/gtk-3.0.m4
%{_datadir}/applications/gtk3*
%{_datadir}/gettext/its/gtkbuilder.{its,loc}
%{_datadir}/gtk-3.0/*
%{_datadir}/glib-2.0/schemas/org.gtk.*.xml
%{_datadir}/gtk-doc/html/gail-libgail-util3/*.{html,png,devhelp2,css}
%{_datadir}/gtk-doc/html/gdk3/*
%{_datadir}/gtk-doc/html/gtk3/*
%{_datadir}/icons/hicolor/*/*/gtk3*.png
%{_datadir}/themes/{Default,Emacs}/gtk-3.0/*.css
%{_datadir}/locale/*/*/gtk30*.mo
%{_mandir}/man1/*.1.gz

#-----------------------------------------------------------------------------
%post
%{_bindir}/gtk-query-immodules-3.0 --update-cache
%{_bindir}/glib-compile-schemas /usr/share/glib-2.0/schemas > /dev/null 2>&1

#=============================================================================
%prep
%setup -q -n gtk+-%{version}
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
	--prefix=%{_prefix}				\
	--buildtype=release     			\
	-D broadway_backend=true			\
	-D print_backends="file,lpr"			\
	-D colord=no					\
	-D gtk_doc=true              			\
	-D introspection=true				\
	-D man=true              			\
	-D xinerama=yes					\
	_bld

meson	compile						\
	-C _bld						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson install						\
		-C _bld					\
		--destdir=%{buildroot}			\

%{__mkdir_p}						\
	%{buildroot}%{_sysconfdir}/gtk-3.0

%{__cp}							\
	gtk3+-ok_addon/settings.ini			\
	%{buildroot}%{_sysconfdir}/gtk-3.0/settings.ini

%{__mv}							\
	%{buildroot}%{_bindir}/gtk-update-icon-cache	\
	%{buildroot}%{_bindir}/gtk3-update-icon-cache

%{__ln_s} 						\
	./gtk3-update-icon-cache			\
	%{buildroot}%{_bindir}/gtk-update-icon-cache

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
